package com.qmth.sop.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.sop.business.bean.result.SysDeviceResult;
import com.qmth.sop.business.entity.SysDevice;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * 设备配置表 Mapper 接口.
 * 
 * @author: shudonghui
 * @date: 2023-08-02 14:21:11
 * @version: 1.0
 * @email: shudonghui@qmth.com.cn
 * @Company: www.qmth.com.cn
 */
public interface SysDeviceMapper extends BaseMapper<SysDevice> {

	/**
	 * 查询列表
	 * @param iPage
	 * @return
	 */

	IPage<SysDeviceResult> query(IPage<Map> iPage,@Param("supplierId")  Long supplierId,@Param("brand")  String brand,@Param("model")  String model,@Param("deviceCode")  String deviceCode,@Param("serialNo")  String serialNo,@Param("status")  String status,@Param("bound")  String bound,@Param("enable")  Boolean enable);
}